Problem with latest version (master) of gr-osmosdr

kerel kerel-fs at gmx.de
Sat Jun 24 11:13:21 UTC 2017


Hi John,

On 2017-06-23 22:47, John Ackermann N8UR wrote:
> I've recently been trying to install the Gnu Radio system on a new 
> machine using the build-gnuradio script. 

I guess you are referring to the script `build-gnuradio`[1] recommended 
by the gnuradio wiki[2].
This script fetches the master of gr-osmosdr from the upstream osmocom 
git repo but the master of rtl-sdr form a fork by patchvonbraun[3].

> The script is failing with an error in the gr-osmo[sdr] build phase, 
> and I've been able to verify this with a separate attempt to build.
gr-osmosdr depends on rtl-sdr and since commit 3c7d3f16 gr-osmosdr 
requires patches in rtl-sdr which introduced bias-tee support (for 
respective hardware).
Those patches are applied in the latest master in the upstream git repo 
of rtl-sdr, but not in the fork by patchvonbraun.
Thus the build fails.

I recommend to modify the build-gnuradio script in a way to use the 
upstream repository of rtl-sdr[4], or to pull the latest changes from 
upstream into the fork by patchvonbraun.

Sincerely,
Fabian P. Schmidt / kerel


[1]: http://www.sbrac.org/files/build-gnuradio
[2]: 
https://wiki.gnuradio.org/index.php/InstallingGRFromSource#Using_the_build-gnuradio_script
[3]: https://github.com/patchvonbraun/rtl-sdr
[4]: git://git.osmocom.org/rtl-sdr


More information about the osmocom-sdr mailing list